<!-- <div class="content" *ngIf="accesoriesList">
  <div class="titleProducts">
    <h1>Listado de productos</h1>
  </div>

  <div class="objectList" >

    <ul class="listObject"  *ngFor="let item of accesoriesList">
      <li class="listObjects__li">
        <img class="objects" src={{item.image}} alt="">
        <span class="name_products">{{item.name}}</span>
        <span class="description_products">{{item.description}}</span>
        <span class="price_products">$ {{item.price}}</span>
      </li>
    </ul>

  </div>

</div> -->


<!--<p>{{cardHeaderImg}}</p>-->
<div class="main">
  <div class="contentMain">


    <div class="containerProducts">
            <mat-card class="card" *ngFor="let item of moviesList | slice: (page-1) * pageSize : page * pageSize">
                <mat-card-header class="matHeader">
                  <div mat-card-avatar>
                    <a routerLink="/movies/{{item.name}}"><img mat-card-avatar class="example-header-image" src={{item.image.medium}} alt=""></a>
                  </div>
                  <a routerLink="/movies/{{item.name}}"><mat-card-title>{{item.name}}</mat-card-title></a>
          <!--        <mat-card-subtitle>Dog Breed</mat-card-subtitle> -->
                </mat-card-header>
                <a class="links" routerLink="/movies/{{item.name}}">
                    <img class="imgProducts" mat-card-image src={{item.image.medium}} alt="Photo of a Shiba Inu" >
                  </a>
                <mat-card-content>
                  <p>
                    {{item.description}}
                  </p>
                </mat-card-content>
                <mat-card-actions>
                  <button mat-button>LIKE</button>
                  <button mat-button>SHARE</button>
                </mat-card-actions>
            </mat-card>
    </div>



    <div class="paginator">
      <ngb-pagination [collectionSize]="200" [(page)]="page" [boundaryLinks]="true">
        <ng-template ngbPaginationPages let-page let-pages="pages">
            <li class="ngb-custom-pages-item" *ngIf="pages.length > 0">
                <div class="form-group d-flex flex-nowrap px-2">
                  <label
                      id="paginationInputLabel"
                      for="paginationInput"
                      class="col-form-label mr-2 ml-1"
                  >Page</label>
                  <input #i
                      type="text"
                      inputmode="numeric"
                      pattern="[0-9]*"
                      class="form-control custom-pages-input"
                      id="paginationInput"
                      [value]="page"
                      (keyup.enter)="selectPage(i.value)"
                      (blur)="selectPage(i.value)"
                      (input)="formatInput($any($event).target)"
                      aria-labelledby="paginationInputLabel paginationDescription"
                      style="width: 2.5rem"
                  />
                  <span id="paginationDescription" class="col-form-label text-nowrap px-2">
                      of {{pages.length}}</span>
                </div>
            </li>
        </ng-template>
      </ngb-pagination>
    </div>
    <hr>
  </div>

  <div class="a">
    <div class="a1"></div>
    <div class="a2"></div>
    <div class="b">
      <div class="c">

      </div>
    </div>
  </div>
</div>



<!-- <app-loader></app-loader> -->
